Fibre Channel (SAN)

Reply
Occasional Contributor
vikas.mattu
Posts: 9
Registered: ‎08-01-2012

Webtools Java Error

Hi experts

I am unable to open the Webtools GUI for Brocade switch. It gives a java error message below. Help please.

Java version installed in mgmt server : java 6 update 35 (64-bit)

                                                              java se runtime environment 6 update 1

======================================================

<?xml version="1.0" encoding="utf-8"?>

<jnlp spec="1.6+" codebase="http://10.244.145.9/">

<information>

<title>LCY-SAN-SW03 : WebTools: Switch Explorer</title>

<vendor>v6.3.1a</vendor>

<description>Web Tools</description>

<icon kind="splash" href="/Splash_WT.jpg"/>

</information>

<application-desc main-class="com.brocade.web.switchview.SwitchExplorerApplet">

<argument>10.244.145.9</argument>

</application-desc>

<resources>

<j2se version="1.6+" initial-heap-size="64m" max-heap-size="256m" /><jar href="wt-app.jar" download="eager"/>

<jar href=" wt-thirdparty.jar" download="eager"/>

<property name="jnlp.packEnabled" value="true" />

<property name="page" value="/SwitchExplorer.html" />

<property name="token" value="" />

<property name="authenticated" value="-2" />

<property name="WebStarted" value="yes" />

<property name="urlProtocol" value="http" />

<property name="urlPort" value="80" />

<property name="adCapable" value="1" />

<property name="isVFEnabled" value="true" />

<property name="switchName" value="LCY-ESSAN-SW03" />

<property name="isSwitchManager" value="false" />

</resources>

<security>

<all-permissions/>

</security>

</jnlp>

=====================================================================webtoolserror.jpg

javaerror.jpg

Moderator
Antonio Bongiorno TechHelp24
Posts: 3,804
Registered: ‎02-23-2004

Re: Webtools Java Error

--->>>Java version installed in mgmt server : java 6 update 35 (64-bit)

JRE 64 bit is not supported.

You must install JRE 1.6.x for x86

TechHelp24
Occasional Contributor
deal
Posts: 11
Registered: ‎02-27-2012

Re: Webtools Java Error

Hi guys,

@ Did you install the required Java version and was it helpful?

@ Could you please share a compatibility matrix or link for brocade switch / java versions? Could this error message be related to the web browser as well?

Thanks in advance for the replies.

Occasional Contributor
oscar.reina.ext
Posts: 14
Registered: ‎11-22-2010

Re: Webtools Java Error

Hi,

Try with this 2 options:

1.   with user root, restart the webserver service.

-- execute /fabos/libexec/webdconfigure

in http attrib : "yes"

restart http "yes".

Or

2. With more careful, force an ha falilover:

-- execute hafailover.

Regards,

Oscar.

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.